# $Revision: 1.11 $, $Date: 2002/09/11 12:52:08 $
Summary:	A config handling library
Summary(pl):	Biblioteka obsugujca konfiguracj
Name:		varconf
Version:	0.5.4
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://victor.worldforge.org/pub/worldforge/libs/varconf/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libsigc++1-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
varconf is a configuration system originally designed for the STAGE
server. varconf can parse configuration files, command-line arguments
and environment variables. It supports callbacks through libsigc++ and
can store configuration data in configuration objects or one global
configuration instance.

%description -l pl
varconf to system konfiguracji oryginalnie zaprojektowany dla serwera
STAGE. varconf moe parsowa pliki konfiguracyjne, parametry z linii
polece i zmienne rodowiskowe. Obsuguje callbacki poprzez libsigc++
oraz moe zapisywa dane z konfiguracji w obiektach konfiguracyjnych
lub jednej globalnej instancji konfiguracji.

%package devel
Summary:	Header files for varconf development
Summary(pl):	Pliki nagwkowe do tworzenia programw z uyciem varconf
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libsigc++1-devel

%description devel
varconf is a configuration system originally designed for the STAGE
server. varconf can parse configuration files, command-line arguments
and environment variables. It supports callbacks through libsigc++ and
can store configuration data in configuration objects or one global
configuration instance.

This package contains the header files needed to develop programs that
use these varconf.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia programw z
uyciem biblioteki varconf.

%package static
Summary:	Static libraries for varconf development
Summary(pl):	Statyczne biblioteki varconf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
varconf is a configuration system originally designed for the STAGE
server. varconf can parse configuration files, command-line arguments
and environment variables. It supports callbacks through libsigc++ and
can store configuration data in configuration objects or one global
configuration instance.

This package contains the static varconf libraries.

%description static -l pl
Ten pakiet zawiera statyczne biblioteki varconf.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
aclocal
autoheader
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_bindir}/varconf-config
%{_includedir}/varconf
%attr(755,root,root) %{_libdir}/lib*.la
%{_aclocaldir}/varconf.m4
%{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: varconf.spec,v $
Revision 1.11  2002/09/11 12:52:08  trojan
- updated to 0.5.4
- BuildRequires: libsigc++1-devel instead libsigc++-devel
- added missing files to devel
STBR

Revision 1.10  2002/06/18 12:56:47  kloczek
- release 2.

Revision 1.9  2002/06/17 10:57:48  trojan
- new %%doc packing infrastructure

Revision 1.8  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/03/24 23:28:26  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/14 23:44:27  kloczek
- cosmetics.
NOTE: it will be good checjk is it can be compiled with -fno-eceptions -fno-rtti
but it depends on applications which will uses varconf library.

Revision 1.2  2001/12/12 08:38:48  qboosh
- pl translations, use post/postun instead of soname symlink in package

Revision 1.1  2001/12/11 15:28:27  trojan
- initial release
